$ErrorActionPreference = 'Stop';

$packageName = 'MySql.Utilities'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://dev.mysql.com/get/Downloads/MySQLGUITools/mysql-utilities-1.6.4-win32.msi'
$url64      = 'http://dev.mysql.com/get/Downloads/MySQLGUITools/mysql-utilities-1.6.4-winx64.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MySql.Utilities*'

  checksum      = '6b9582c0b45c1fc6ee9d323484e08d8d573c5ae48a472a7b924ba951d9e9b494'
  checksumType  = 'sha256'
  checksum64    = 'de3783bc2b23b57af5c41aed1d48272d240e6b3fc24761c57004bdb51932151c'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
